Search the web and return the most relevant pages for a query, each with its title, excerpt and score.
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
What to search the web for, up to 2,000 characters
The most results to return, most relevant first (1-10, default 10)
1 <= value <= 10application/json
application/json
application/json
application/json
{
"results": [
{
"url": "string",
"title": "string",
"excerpt": "string",
"score": 0
{
"issues": [
{
"_tag": "Pointer",
"path": [
"string"
],
"message": "string"
}
],
"
{
"reason": "InvalidApiKey",
"description": "string",
"_tag": "AuthFailed"
}{
"blockedUntil": "string",
"retryable": false,
"_tag": "AccessBlocked"
}{
"_tag": "PayloadTooLarge"
}{
"retryable": true,
"retryAfterSeconds": 0,
"_tag": "TooManyRequests"
}{
"retryable": true,
"_tag": "InternalError"
}{
"message": "string",
"requestId": "string",
"retryable": true,
"_tag": "ServiceUnavailable"
}